6 Replies Latest reply on Jul 7, 2014 10:27 AM by Scott Marlow

    Deprecated Persistence Provider: org.hibernate.ejb.HibernatePersistence

    Juergen Zimmermann Master

      Thanks to Scott Marlows advice in Re: Upgrade Hibernate: 4.3.0.Beta4 to 4.3.0.Beta5 I upgraded Hibernate (plus the snaphost for core). My tests are working fine, but I'm getting the warning below.

       

      I also tried to extend META-INF/persistence.xml (the warning still appears):

      <persistence-unit name="shopPU">

         <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>

         ...

       

      The warning:

      HHH015016: Encountered a deprecated javax.persistence.spi.PersistenceProvider [org.hibernate.ejb.HibernatePersistence]; use [org.hibernate.jpa.HibernatePersistenceProvider] instead.